- [HTTP request](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.phraseMatchers/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.phraseMatchers/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.phraseMatchers/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.phraseMatchers/list#body.request_body)
- [Response body](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.phraseMatchers/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.phraseMatchers/list#body.ListPhraseMatchersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.phraseMatchers/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.phraseMatchers/list#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.phraseMatchers/list#try-it)

Lists phrase matchers.

### HTTP request

`GET https://{endpoint}/v1/{parent=projects/*/locations/*}/phraseMatchers`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource of the phrase matcher. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of phrase matchers to return in the response. If this value is zero, the service will select a default size. A call might return fewer objects than requested. A non-empty `nextPageToken` in the response indicates that more data is available. |
| `pageToken` | `string` The value returned by the last `ListPhraseMatchersResponse`. This value indicates that this is a continuation of a prior `phraseMatchers.list` call and that the system should return the next page of data. |
| `filter` | `string` A filter to reduce results to a specific subset. Useful for querying phrase matchers with specific properties. |

### Request body

The request body must be empty.

### Response body

The response of listing phrase matchers.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "phraseMatchers": [ { object (`https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.phraseMatchers#PhraseMatcher`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `phraseMatchers[]` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.phraseMatchers#PhraseMatcher`)`` The phrase matchers that match the request. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `contactcenterinsights.phraseMatchers.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).